./net/ruby-amq-client, Fully-featured, low-level AMQP 0.9.1 client

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0.4, Package name: ruby23-amq-client-1.0.4, Maintainer: pkgsrc-users

amq-client is a fully-featured, low-level AMQP 0.9.1 client that runs on Ruby
1.8.7, 1.9.2, REE, Rubinius and JRuby.
It's sweet spot is in serving as foundation for higher-level, more opinionated
AMQP libraries.
It can be used directly by applications code when performance and access to
advanced AMQP protocol features is more important that API convenience.


Required to run:
[devel/ruby-eventmachine] [net/ruby-amq-protocol] [lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: e8fd22e758c7a53b62b7ac45cc4258439d9cafb9
RMD160: c839de9c5261d070d3197bb5239f048a3cf4c73b
Filesize: 74 KB

Version history: (Expand)


CVS history: (Expand)


   2017-03-20 15:42:04 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Fix HOMEPAGE, make GitHub url to use ssl.
   2015-12-30 05:23:00 by Takahiro Kambe | Files touched by this commit (10)
Log message:
Remove RUBY_VERSION_SUPPORTED which has the samve value as default.
   2015-11-04 01:35:47 by Alistair G. Crooks | Files touched by this commit (748)
Log message:
Add SHA512 digests for distfiles for net category

Problems found with existing digests:
	Package haproxy distfile haproxy-1.5.14.tar.gz
	159f5beb8fdc6b8059ae51b53dc935d91c0fb51f [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]

Problems found locating distfiles:
	Package bsddip: missing distfile bsddip-1.02.tar.Z
	Package citrix_ica: missing distfile citrix_ica-10.6.115659/en.linuxx86.tar.gz
	Package djbdns: missing distfile djbdns-1.05-test25.diff.bz2
	Package djbdns: missing distfile djbdns-cachestats.patch
	Package djbdns: missing distfile 0002-dnscache-cache-soa-records.patch
	Package gated: missing distfile gated-3-5-11.tar.gz
	Package owncloudclient: missing distfile owncloudclient-2.0.2.tar.xz
	Package poink: missing distfile poink-1.6.tar.gz
	Package ra-rtsp-proxy: missing distfile rtspd-src-1.0.0.0.tar.gz
	Package ucspi-ssl: missing distfile ucspi-ssl-0.70-ucspitls-0.1.patch
	Package waste: missing distfile waste-source.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-15 22:54:44 by Joerg Sonnenberger | Files touched by this commit (2)
Log message:
Apply the same Ruby restrictions as ruby-amq-protocol has.
   2014-03-14 18:35:36 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amq-client to 1.0.4.

No exact changes are available.
   2013-09-15 20:30:05 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-amq-client to 1.0.2.

Exact changes aren't available.  Please refer change log in github.
   2013-03-12 14:24:28 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amq-client to 0.9.12.

* @heartbeats_timer may be nil
* Use amq-protocol 1.2.0
* Pause heartbeat sender when handling network connection interruption
   2013-02-11 04:58:37 by Takahiro Kambe | Files touched by this commit (3) | Package updated
Log message:
Update ruby-amq-client to 0.9.11.

A various bug fixes.